Skip to main content

File List

GET /v1/file/list
  • This endpoint retrieves a list of your uploaded files. You can filter and sort the results using query parameters.

Auth and Rate Limits​

  • Authentication is required for this endpoint. You must include a valid API key in the Authorization header.
  • This API call is rate limited to 100 requests per minute.

Query Parameters​

ParameterTypeDescriptionRequired
limitintegerThe maximum number of files to return. Default is 10.No
order_bystringSort order for the files. Can be asc or desc.No
idstringFilter the list by a specific file ID.No

Response​

  • The API will respond with a JSON object containing a list of file objects.
{
"status": true,
"code": 200,
"message": "Files retrieved successfully",
"data": {
"object": "list",
"data": [
{
"id": "b92b604d-dbf7-49a0-8e0b-701a97a7e8f5",
"object": "file",
"bytes": 68254,
"created_at": 1747825440,
"filename": "example.wav",
"file_type": "audio",
"expires_at": 1755601440,
"status": "uploaded",
"status_details": null
},
{
"id": "53a2561a-4347-4c26-a465-771c3547086e",
"object": "file",
"bytes": 285991,
"created_at": 1747825438,
"filename": "example.mp4",
"file_type": "video",
"expires_at": 1755601438,
"status": "uploaded",
"status_details": null
}
]
}
}

Example request​

curl https://api.deepfaic.com/v1/file/list \
-H "Authorization: Bearer <api_key>"